FROM golang:1.21 AS builder
MAINTAINER lory <civet148@outlook.com>

RUN apt-get update && apt-get install -y ca-certificates make
ENV SRC_DIR /intent-system
RUN set -x \
  && cd /tmp

RUN go env -w GOPROXY=https://goproxy.io

COPY . $SRC_DIR
RUN cd $SRC_DIR && export GIT_SSL_NO_VERIFY=true && git config --global http.sslVerify "false" && make

FROM ubuntu:22.04

#RUN ln -fs /usr/share/zoneinfo/Asia/Shanghai /etc/localtime && echo "Asia/Shanghai" > /etc/timezone && apt-get update && apt-get install -y tzdata
#ENV TZ Asia/Shanghai
ENV SRC_DIR /intent-system


# 管理系统主程序
COPY --from=builder $SRC_DIR/intent-system /usr/local/bin/intent-system
COPY --from=builder /etc/ssl/certs /etc/ssl/certs


ENV HOME_PATH /data

VOLUME $HOME_PATH
